Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Query Parameters

after
string

Returns the elements in the list that come after the specified cursor.

before
string

Returns the elements in the list that come before the specified cursor.

first
integer

Returns the first n elements from the list.

Example:

42

last
integer

Returns the last n elements from the list.

Example:

42

experience_id
string
required

The unique identifier of the experience to list forum posts for.

Example:

"exp_xxxxxxxxxxxxxx"

include_bounty_anchors
boolean

Whether to include top-level bounty discussion anchors as rich forum items.

parent_id
string

The unique identifier of a parent post to list comments for. When set, returns replies to that post.

pinned
boolean

Whether to filter for only pinned posts. Set to true to return only pinned posts.

Response

A successful response

The connection type for ForumPost.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.